# Method: accounts.adUnits.adUnitMappings.list

- [HTTP request](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnits.adUnitMappings/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnits.adUnitMappings/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnits.adUnitMappings/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnits.adUnitMappings/list#body.request_body)
- [Response body](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnits.adUnitMappings/list#body.response_body)
  - [JSON representation](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnits.adUnitMappings/list#body.ListAdUnitMappingsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnits.adUnitMappings/list#body.aspect)
- [Examples](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnits.adUnitMappings/list#examples)
- [Try it!](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnits.adUnitMappings/list#try-it)

List ad unit mappings under the specified AdMob account and ad unit.

<br />

This method has limited access. If you see a 403 permission denied error, please reach out to your account manager for access.

<br />

### HTTP request

`GET https://admob.googleapis.com/v1beta/{parent=accounts/*/adUnits/*}/adUnitMappings`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent which owns this collection of ad unit mappings. Format: accounts/{publisherId}/adUnits/{adUnitId} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of ad unit mappings to return. If unspecified or 0, at most 10,000 ad unit mappings will be returned. The maximum value is 20,000; values above 20,000 will be coerced to 20,000. |
| `pageToken` | `string` A page token, received from a previous `adUnitMappings.list` call. Provide this to retrieve the subsequent page. |
| `filter` | `string` The filter string that uses [EBNF grammar syntax](https://google.aip.dev/assets/misc/ebnf-filtering.txt). Possible field to filter by is: - "DISPLAY_NAME" Possible filter function is: - `IN`: Used to filter fields that represent a singleton including "DISPLAY_NAME". The filter functions can be added together using `AND`. `OR` functionality is not supported. Example: filter: IN(DISPLAY_NAME, "Test Ad Unit Mapping 1", "Test Ad Unit Mapping 2") |

### Request body

The request body must be empty.

### Response body

Response for the ListAdUnitMappingsRequest.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "adUnitMappings": [ { object (`https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnits.adUnitMappings#AdUnitMapping`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `adUnitMappings[]` | ``object (`https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnits.adUnitMappings#AdUnitMapping`)`` The ad unit mappings from the specified account and ad unit. |
| `nextPageToken` | `string` Used to set the `pageToken` in the `ListAdUnitMappingsRequest` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admob.monetization`
- `
  https://www.googleapis.com/auth/admob.readonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).